=== debian/changelog ===
x52pro (0.1.1-2.3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 18:20:59 +0200

x52pro (0.1.1-2.3~exp) experimental; urgency=medium

  * Non-maintainer upload.
  * Reinstate package content except for the maintainer scripts.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Jan 2015 02:12:33 +0100

x52pro (0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update udev rules, thanks to Alex Volkov.  (Closes: #734067)
  * Turn libx52pro-dev and libx52pro0 into empty dummy packages to ensure
    smooth upgrades from wheezy. The wheezy packages used 'udevadm trigger' in
    a no longer supported way that prevented removal of the packages after an
    distupgrade to jessie.  (Closes: #767675, #773147, #708274)
  * The package content may be reinstated after the jessie release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Dec 2014 12:12:21 +0100

x52pro (0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the calls to udevadm in the maintainer scripts conditional on the
    existence of udevadm (Closes: #640595)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 18:33:14 +0100

x52pro (0.1.1-2) unstable; urgency=low

  * Change Standards-Version to 3.9.2

 -- Grzegorz Kolorz <gkolorz@gmail.com>  Wed, 18 May 2011 16:34:53 +0200

x52pro (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #626266)
  * Add pkg-config support

 -- Grzegorz Kolorz <gkolorz@gmail.com>  Tue, 10 May 2011 14:39:51 +0200
