=== debian/control ===
Source: x52pro
Priority: extra
Maintainer: Grzegorz Kolorz <gkolorz@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libusb-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://plasma.hasenleithner.at/x52pro/

Package: libx52pro-dev
Section: libdevel
Architecture: any
Depends: libx52pro0 (= ${binary:Version}), ${misc:Depends}
Description: MFD and LED library for Saitek X52pro joysticks - dev files
 libx52pro is a library designed to support Saitek X52 and X52pro HOTAS
 joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x
 .
 This package contains development files.

Package: libx52pro0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MFD and LED library for  Saitek x52pro joysticks
 libx52pro is a library designed to support MFD and LED found on 
 Saitek X52  and X52pro joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x.
 .
 This package also includes x52output utility, that can be used for 
 scripting purposes.
