=== debian/watch ===
version=3
http://plasma.hasenleithner.at/x52pro/x52pro-(.*)\.tar\.gz
