=== debian/changelog ===
x52pro (0.2.0-2) unstable; urgency=medium

  * QA upload.

  * Added missing pkgconf build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Jan 2025 10:05:54 +0100

x52pro (0.2.0-1) unstable; urgency=medium

  * QA upload.

  * Updated d/watch to point to new github repository.
  * New upstream version 0.2.0 (Closes: #1030477).
    - Now uses libusb 1.0 (Closes: #810466).
    - Dropped upstreamed patches.
    - Added 1000-multiarch-path.patch to adjust install path.
    - Adjusted udev install rule to use new upstream priority 60.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Jan 2025 08:16:53 +0100

x52pro (0.1.1-8) unstable; urgency=medium

  * QA upload.

  * Added forgotten Appstream metadata XML file to libx52pro0.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 Dec 2024 21:59:04 +0100

x52pro (0.1.1-7) unstable; urgency=medium

  * QA upload.

  * Introduce patch naming structure.
  * Added homepage link to Appstream metadata XML file.
  * Converted Appstream metadata XML to upstream patch.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 Dec 2024 19:10:52 +0100

x52pro (0.1.1-6) unstable; urgency=medium

  * QA upload.

  * Switch upstream URL to the new github location.
  * Updated patch metadata.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2024 16:29:29 +0200

x52pro (0.1.1-5) unstable; urgency=medium

  * QA upload.

  * Adjusted build to install pkg-config in multiarch compatible location.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 May 2024 05:32:45 +0200

x52pro (0.1.1-4) unstable; urgency=medium

  * QA upload.

  * Install udev rules only once (Closes: #1071008).
  * Enabled build hardening, added 1000-hardening.patch.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 May 2024 08:31:20 +0200

x52pro (0.1.1-3) unstable; urgency=medium

  * QA upload.

  * Orphan package.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Added Appstream metainfo XML to announce supported
    USB dongles (Closes: #1070913).
  * Updated packaging for debhelper level 13.
  * Trimmed redundant space in package description.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 12 May 2024 10:39:38 +0200
