=== debian/control ===
Source: x52pro
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libusb-1.0-0-dev,
               pkgconf,
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/seesturm/x52lib/
Vcs-Browser: https://salsa.debian.org/debian/x52pro
Vcs-Git: https://salsa.debian.org/debian/x52pro.git

Package: libx52pro-dev
Section: libdevel
Architecture: any
Depends: libx52pro0 (= ${binary:Version}),
         ${misc:Depends},
Description: MFD and LED library for Saitek X52pro joysticks - dev files
 libx52pro is a library designed to support Saitek X52 and X52pro HOTAS
 joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x
 .
 This package contains development files.

Package: libx52pro0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: MFD and LED library for Saitek x52pro joysticks
 libx52pro is a library designed to support MFD and LED found on
 Saitek X52  and X52pro joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x.
 .
 This package also includes x52output utility, that can be used for
 scripting purposes.
