=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
-	dh $@ 
+	dh $@
 
 override_dh_installudev:
-	dh_installudev --name=x52pro --priority=99
-
+	dh_installudev --name=x52pro --priority=60
